미디어위키:Gadget-ReferenceTooltips.css: 두 판 사이의 차이

잔글편집 요약 없음
잔글편집 요약 없음
 
(같은 사용자의 중간 판 3개는 보이지 않습니다)
1번째 줄: 1번째 줄:
/* Drawer css start */
/* original source: https://en.wikipedia.org/w/index.php?title=MediaWiki:Gadget-ReferenceTooltips.css&oldid=915912015 */
.mode-drawer #reference-drawer {
/* See [[mw:Reference Tooltips]] */
position: fixed;
 
.rt-tooltip {
position: absolute;
z-index: 100;
max-width: 350px;
background: #fff;
color: #222;
font-size: 13px;
line-height: 1.5em;
border: 1px solid #c8ccd1;
border-radius: 3px;
box-shadow: 0 15px 45px -10px rgba(0, 0, 0, 0.3);
overflow-wrap: break-word;
}
 
.rt-tooltip.rt-tooltip-insideWindow {
z-index: 110;
}
 
.rt-tooltipContent {
padding: 8px 11px;
}
 
.rt-tooltip-above .rt-tooltipContent {
margin-bottom: -8px;
padding-bottom: 16px;
}
 
.rt-tooltip-below .rt-tooltipContent {
margin-top: -10px;
padding-top: 18px;
}
 
.rt-tooltipTail,
.rt-tooltipTail:after {
position: absolute;
width: 12px;
height: 12px;
}
 
.rt-tooltipTail {
background: #c8ccd1;
background: -webkit-linear-gradient(bottom left, #c8ccd1 50%, rgba(0, 0, 0, 0) 50%);
background: linear-gradient(to top right, #c8ccd1 50%, rgba(0, 0, 0, 0) 50%);
}
 
.rt-tooltipTail:after {
content: "";
background: #fff;
bottom: 1px;
left: 1px;
}
 
.rt-tooltip-above .rt-tooltipTail {
-webkit-transform: rotate(-45deg);
transform: rotate(-45deg);
-webkit-transform-origin: 100% 100%;
transform-origin: 100% 100%;
bottom: 0;
bottom: 0;
left: 0;
left: 15px;
right: 0;
-webkit-transition: -webkit-transform .25s, opacity .25s, visibility 0s .25s;
-ms-transition: -ms-transform .25s, opacity .25s, visibility 0s .25s;
transition: transform .25s, opacity .25s, visibility 0s .25s;
-webkit-transform: translate(0,100px);
-ms-transform: translate(0,100px);
transform: translate(0,100px);
border: 1px solid #e1e8ed;
z-index: 10000;
opacity: 0;
visibility: hidden;
box-shadow: 0 -2px 5px rgba(0, 0, 0, .4);
}
}


.mode-drawer #reference-drawer.visible {
.rt-tooltip-below .rt-tooltipTail {
-webkit-transition: -webkit-transform .25s, opacity .25s;
-webkit-transform: rotate(135deg);
-ms-transition: -ms-transform .25s, opacity .25s;
transform: rotate(135deg);
transition: transform .25s, opacity .25s;
-webkit-transform-origin: 0 0;
-webkit-transform: translate(0,0);
transform-origin: 0 0;
-ms-transform: translate(0,0);
top: 0;
transform: translate(0,0);
left: 27px;
opacity: 1;
visibility: visible;
}
}


.mode-drawer #reference-drawer .settings-icon {
.rt-settingsLink {
display: none;
background-image: linear-gradient(transparent,transparent),url(data:image/svg+xml,%3C%3Fxml%20version%3D%221.0%22%20encoding%3D%22utf-8%22%3F%3E%0D%0A%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20viewBox%3D%220%200%2024%2024%22%3E%0D%0A%20%20%20%20%3Cpath%20fill%3D%22%23555%22%20d%3D%22M20%2014.5v-2.9l-1.8-.3c-.1-.4-.3-.8-.6-1.4l1.1-1.5-2.1-2.1-1.5%201.1c-.5-.3-1-.5-1.4-.6L13.5%205h-2.9l-.3%201.8c-.5.1-.9.3-1.4.6L7.4%206.3%205.3%208.4l1%201.5c-.3.5-.4.9-.6%201.4l-1.7.2v2.9l1.8.3c.1.5.3.9.6%201.4l-1%201.5%202.1%202.1%201.5-1c.4.2.9.4%201.4.6l.3%201.8h3l.3-1.8c.5-.1.9-.3%201.4-.6l1.5%201.1%202.1-2.1-1.1-1.5c.3-.5.5-1%20.6-1.4l1.5-.3zM12%2016c-1.7%200-3-1.3-3-3s1.3-3%203-3%203%201.3%203%203-1.3%203-3%203z%22%2F%3E%0D%0A%3C%2Fsvg%3E);
float: right;
cursor: pointer;
margin: -4px -4px 0 8px;
height: 24px;
width: 24px;
border-radius: 2px;
background-position: center center;
background-repeat: no-repeat;
background-size: 24px 24px;
}
}
/* Drawer css end */


/* Tooltip css */
.rt-settingsLink:hover {
.mode-tooltip #reference-drawer {
background-color: #eee;
position: absolute;
}
display: none;
 
opacity: 0;
.rt-target {
font-size : 0.9em;
background-color: #def;
max-width: 300px;
}
border-radius: 4px;
 
box-shadow: 0 0 12px rgba(0,0,0,.375);
.rt-enableSelect {
z-index: 10000;
font-weight: bold;
}
 
.rt-settingsFormSeparator {
margin: 0.85714286em 0;
}
 
.rt-numberInput.rt-numberInput {
width: 150px;
}
 
.rt-tooltipsForCommentsField.rt-tooltipsForCommentsField.rt-tooltipsForCommentsField {
margin-top: 1.64285714em;
}
 
.rt-disabledHelp {
border-collapse: collapse;
}
 
.rt-disabledHelp td {
padding: 0;
}
 
.rt-disabledNote.rt-disabledNote {
vertical-align: bottom;
padding-left: 0.36em;
font-weight: bold;
}
 
@-webkit-keyframes rt-fade-in-up {
0% {
opacity: 0;
-webkit-transform: translate(0, 20px);
-moz-transform: translate(0, 20px);
transform: translate(0, 20px)
}
100% {
opacity: 1;
-webkit-transform: translate(0, 0);
-moz-transform: translate(0, 0);
transform: translate(0, 0)
}
}
 
@-moz-keyframes rt-fade-in-up {
0% {
opacity: 0;
-webkit-transform: translate(0, 20px);
-moz-transform: translate(0, 20px);
transform: translate(0, 20px)
}
100% {
opacity: 1;
-webkit-transform: translate(0, 0);
-moz-transform: translate(0, 0);
transform: translate(0, 0)
}
}
 
@keyframes rt-fade-in-up {
0% {
opacity: 0;
-webkit-transform: translate(0, 20px);
-moz-transform: translate(0, 20px);
transform: translate(0, 20px)
}
100% {
opacity: 1;
-webkit-transform: translate(0, 0);
-moz-transform: translate(0, 0);
transform: translate(0, 0)
}
}
 
@-webkit-keyframes rt-fade-in-down {
0% {
opacity: 0;
-webkit-transform: translate(0, -20px);
-moz-transform: translate(0, -20px);
transform: translate(0, -20px)
}
100% {
opacity: 1;
-webkit-transform: translate(0, 0);
-moz-transform: translate(0, 0);
transform: translate(0, 0)
}
}
 
@-moz-keyframes rt-fade-in-down {
0% {
opacity: 0;
-webkit-transform: translate(0, -20px);
-moz-transform: translate(0, -20px);
transform: translate(0, -20px)
}
100% {
opacity: 1;
-webkit-transform: translate(0, 0);
-moz-transform: translate(0, 0);
transform: translate(0, 0)
}
}
 
@keyframes rt-fade-in-down {
0% {
opacity: 0;
-webkit-transform: translate(0, -20px);
-moz-transform: translate(0, -20px);
transform: translate(0, -20px)
}
100% {
opacity: 1;
-webkit-transform: translate(0, 0);
-moz-transform: translate(0, 0);
transform: translate(0, 0)
}
}
}


.mode-tooltip #reference-drawer .close-icon {
@-webkit-keyframes rt-fade-out-down {
display: none;
0% {
opacity: 1;
-webkit-transform: translate(0, 0);
-moz-transform: translate(0, 0);
transform: translate(0, 0)
}
100% {
opacity: 0;
-webkit-transform: translate(0, 20px);
-moz-transform: translate(0, 20px);
transform: translate(0, 20px)
}
}
}


/* common css */
@-moz-keyframes rt-fade-out-down {
#reference-drawer {
0% {
padding: 10px 15px;
opacity: 1;
background: #fcfcfc;
-webkit-transform: translate(0, 0);
-moz-transform: translate(0, 0);
transform: translate(0, 0)
}
100% {
opacity: 0;
-webkit-transform: translate(0, 20px);
-moz-transform: translate(0, 20px);
transform: translate(0, 20px)
}
}
}


#reference-origin {
@keyframes rt-fade-out-down {
padding-right: 8px;
0% {
opacity: 1;
-webkit-transform: translate(0, 0);
-moz-transform: translate(0, 0);
transform: translate(0, 0)
}
100% {
opacity: 0;
-webkit-transform: translate(0, 20px);
-moz-transform: translate(0, 20px);
transform: translate(0, 20px)
}
}
}


#reference-settings {
@-webkit-keyframes rt-fade-out-up {
position: fixed;
0% {
top: 50%;
opacity: 1;
left: 50%;
-webkit-transform: translate(0, 0);
width: 300px;
-moz-transform: translate(0, 0);
height: 200px;
transform: translate(0, 0)
margin-top: -100px;
}
margin-left: -150px;
100% {
padding: 10px;
opacity: 0;
background: white;
-webkit-transform: translate(0, -20px);
box-shadow: 0 0 6px gray;
-moz-transform: translate(0, -20px);
z-index: 1003;
transform: translate(0, -20px)
}
}
}


#reference-settings .content {
@-moz-keyframes rt-fade-out-up {
height: 150px;
0% {
opacity: 1;
-webkit-transform: translate(0, 0);
-moz-transform: translate(0, 0);
transform: translate(0, 0)
}
100% {
opacity: 0;
-webkit-transform: translate(0, -20px);
-moz-transform: translate(0, -20px);
transform: translate(0, -20px)
}
}
}


#reference-settings .content label > input {
@keyframes rt-fade-out-up {
margin-right: 4px;
0% {
opacity: 1;
-webkit-transform: translate(0, 0);
-moz-transform: translate(0, 0);
transform: translate(0, 0)
}
100% {
opacity: 0;
-webkit-transform: translate(0, -20px);
-moz-transform: translate(0, -20px);
transform: translate(0, -20px)
}
}
}


#reference-settings .foot {
.rt-fade-in-up {
text-align: right;
-webkit-animation: rt-fade-in-up 0.2s ease forwards;
-moz-animation: rt-fade-in-up 0.2s ease forwards;
animation: rt-fade-in-up 0.2s ease forwards
}
}


#reference-settings .foot input {
.rt-fade-in-down {
margin-left: 4px;
-webkit-animation: rt-fade-in-down 0.2s ease forwards;
-moz-animation: rt-fade-in-down 0.2s ease forwards;
animation: rt-fade-in-down 0.2s ease forwards
}
}


#reference-drawer .settings-icon {
.rt-fade-out-down {
margin: -5px -8px 0 5px;
-webkit-animation: rt-fade-out-down 0.2s ease forwards;
float: right;
-moz-animation: rt-fade-out-down 0.2s ease forwards;
width: 14px;
animation: rt-fade-out-down 0.2s ease forwards
height: 14px;
background: url(//upload.wikimedia.org/wikipedia/commons/thumb/1/13/Cog%2C_Web_Fundamentals.svg/14px-Cog%2C_Web_Fundamentals.svg.png);
pointer: cursor;
}
}


#reference-drawer .close-icon {
.rt-fade-out-up {
float: right;
-webkit-animation: rt-fade-out-up 0.2s ease forwards;
width: 16px;
-moz-animation: rt-fade-out-up 0.2s ease forwards;
height: 16px;
animation: rt-fade-out-up 0.2s ease forwards
background: url(//upload.wikimedia.org/wikipedia/commons/thumb/8/8d/VisualEditor_-_Icon_-_Close.svg/24px-VisualEditor_-_Icon_-_Close.svg.png);
background-position: -4px -4px;
}
}

2025년 1월 24일 (금) 10:51 기준 최신판

/* original source: https://en.wikipedia.org/w/index.php?title=MediaWiki:Gadget-ReferenceTooltips.css&oldid=915912015 */
/* See [[mw:Reference Tooltips]] */

.rt-tooltip {
	position: absolute;
	z-index: 100;
	max-width: 350px;
	background: #fff;
	color: #222;
	font-size: 13px;
	line-height: 1.5em;
	border: 1px solid #c8ccd1;
	border-radius: 3px;
	box-shadow: 0 15px 45px -10px rgba(0, 0, 0, 0.3);
	overflow-wrap: break-word;
}

.rt-tooltip.rt-tooltip-insideWindow {
	z-index: 110;
}

.rt-tooltipContent {
	padding: 8px 11px;
}

.rt-tooltip-above .rt-tooltipContent {
	margin-bottom: -8px;
	padding-bottom: 16px;
}

.rt-tooltip-below .rt-tooltipContent {
	margin-top: -10px;
	padding-top: 18px;
}

.rt-tooltipTail,
.rt-tooltipTail:after {
	position: absolute;
	width: 12px;
	height: 12px;
}

.rt-tooltipTail {
	background: #c8ccd1;
	background: -webkit-linear-gradient(bottom left, #c8ccd1 50%, rgba(0, 0, 0, 0) 50%);
	background: linear-gradient(to top right, #c8ccd1 50%, rgba(0, 0, 0, 0) 50%);
}

.rt-tooltipTail:after {
	content: "";
	background: #fff;
	bottom: 1px;
	left: 1px;
}

.rt-tooltip-above .rt-tooltipTail {
	-webkit-transform: rotate(-45deg);
	transform: rotate(-45deg);
	-webkit-transform-origin: 100% 100%;
	transform-origin: 100% 100%;
	bottom: 0;
	left: 15px;
}

.rt-tooltip-below .rt-tooltipTail {
	-webkit-transform: rotate(135deg);
	transform: rotate(135deg);
	-webkit-transform-origin: 0 0;
	transform-origin: 0 0;
	top: 0;
	left: 27px;
}

.rt-settingsLink {
	background-image: linear-gradient(transparent,transparent),url(data:image/svg+xml,%3C%3Fxml%20version%3D%221.0%22%20encoding%3D%22utf-8%22%3F%3E%0D%0A%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20viewBox%3D%220%200%2024%2024%22%3E%0D%0A%20%20%20%20%3Cpath%20fill%3D%22%23555%22%20d%3D%22M20%2014.5v-2.9l-1.8-.3c-.1-.4-.3-.8-.6-1.4l1.1-1.5-2.1-2.1-1.5%201.1c-.5-.3-1-.5-1.4-.6L13.5%205h-2.9l-.3%201.8c-.5.1-.9.3-1.4.6L7.4%206.3%205.3%208.4l1%201.5c-.3.5-.4.9-.6%201.4l-1.7.2v2.9l1.8.3c.1.5.3.9.6%201.4l-1%201.5%202.1%202.1%201.5-1c.4.2.9.4%201.4.6l.3%201.8h3l.3-1.8c.5-.1.9-.3%201.4-.6l1.5%201.1%202.1-2.1-1.1-1.5c.3-.5.5-1%20.6-1.4l1.5-.3zM12%2016c-1.7%200-3-1.3-3-3s1.3-3%203-3%203%201.3%203%203-1.3%203-3%203z%22%2F%3E%0D%0A%3C%2Fsvg%3E);
	float: right;
	cursor: pointer;
	margin: -4px -4px 0 8px;
	height: 24px;
	width: 24px;
	border-radius: 2px;
	background-position: center center;
	background-repeat: no-repeat;
	background-size: 24px 24px;
}

.rt-settingsLink:hover {
	background-color: #eee;
}

.rt-target {
	background-color: #def;
}

.rt-enableSelect {
	font-weight: bold;
}

.rt-settingsFormSeparator {
	margin: 0.85714286em 0;
}

.rt-numberInput.rt-numberInput {
	width: 150px;
}

.rt-tooltipsForCommentsField.rt-tooltipsForCommentsField.rt-tooltipsForCommentsField {
	margin-top: 1.64285714em;
}

.rt-disabledHelp {
	border-collapse: collapse;
}

.rt-disabledHelp td {
	padding: 0;
}

.rt-disabledNote.rt-disabledNote {
	vertical-align: bottom;
	padding-left: 0.36em;
	font-weight: bold;
}

@-webkit-keyframes rt-fade-in-up {
	0% {
		opacity: 0;
		-webkit-transform: translate(0, 20px);
		-moz-transform: translate(0, 20px);
		transform: translate(0, 20px)
	}
	100% {
		opacity: 1;
		-webkit-transform: translate(0, 0);
		-moz-transform: translate(0, 0);
		transform: translate(0, 0)
	}
}

@-moz-keyframes rt-fade-in-up {
	0% {
		opacity: 0;
		-webkit-transform: translate(0, 20px);
		-moz-transform: translate(0, 20px);
		transform: translate(0, 20px)
	}
	100% {
		opacity: 1;
		-webkit-transform: translate(0, 0);
		-moz-transform: translate(0, 0);
		transform: translate(0, 0)
	}
}

@keyframes rt-fade-in-up {
	0% {
		opacity: 0;
		-webkit-transform: translate(0, 20px);
		-moz-transform: translate(0, 20px);
		transform: translate(0, 20px)
	}
	100% {
		opacity: 1;
		-webkit-transform: translate(0, 0);
		-moz-transform: translate(0, 0);
		transform: translate(0, 0)
	}
}

@-webkit-keyframes rt-fade-in-down {
	0% {
		opacity: 0;
		-webkit-transform: translate(0, -20px);
		-moz-transform: translate(0, -20px);
		transform: translate(0, -20px)
	}
	100% {
		opacity: 1;
		-webkit-transform: translate(0, 0);
		-moz-transform: translate(0, 0);
		transform: translate(0, 0)
	}
}

@-moz-keyframes rt-fade-in-down {
	0% {
		opacity: 0;
		-webkit-transform: translate(0, -20px);
		-moz-transform: translate(0, -20px);
		transform: translate(0, -20px)
	}
	100% {
		opacity: 1;
		-webkit-transform: translate(0, 0);
		-moz-transform: translate(0, 0);
		transform: translate(0, 0)
	}
}

@keyframes rt-fade-in-down {
	0% {
		opacity: 0;
		-webkit-transform: translate(0, -20px);
		-moz-transform: translate(0, -20px);
		transform: translate(0, -20px)
	}
	100% {
		opacity: 1;
		-webkit-transform: translate(0, 0);
		-moz-transform: translate(0, 0);
		transform: translate(0, 0)
	}
}

@-webkit-keyframes rt-fade-out-down {
	0% {
		opacity: 1;
		-webkit-transform: translate(0, 0);
		-moz-transform: translate(0, 0);
		transform: translate(0, 0)
	}
	100% {
		opacity: 0;
		-webkit-transform: translate(0, 20px);
		-moz-transform: translate(0, 20px);
		transform: translate(0, 20px)
	}
}

@-moz-keyframes rt-fade-out-down {
	0% {
		opacity: 1;
		-webkit-transform: translate(0, 0);
		-moz-transform: translate(0, 0);
		transform: translate(0, 0)
	}
	100% {
		opacity: 0;
		-webkit-transform: translate(0, 20px);
		-moz-transform: translate(0, 20px);
		transform: translate(0, 20px)
	}
}

@keyframes rt-fade-out-down {
	0% {
		opacity: 1;
		-webkit-transform: translate(0, 0);
		-moz-transform: translate(0, 0);
		transform: translate(0, 0)
	}
	100% {
		opacity: 0;
		-webkit-transform: translate(0, 20px);
		-moz-transform: translate(0, 20px);
		transform: translate(0, 20px)
	}
}

@-webkit-keyframes rt-fade-out-up {
	0% {
		opacity: 1;
		-webkit-transform: translate(0, 0);
		-moz-transform: translate(0, 0);
		transform: translate(0, 0)
	}
	100% {
		opacity: 0;
		-webkit-transform: translate(0, -20px);
		-moz-transform: translate(0, -20px);
		transform: translate(0, -20px)
	}
}

@-moz-keyframes rt-fade-out-up {
	0% {
		opacity: 1;
		-webkit-transform: translate(0, 0);
		-moz-transform: translate(0, 0);
		transform: translate(0, 0)
	}
	100% {
		opacity: 0;
		-webkit-transform: translate(0, -20px);
		-moz-transform: translate(0, -20px);
		transform: translate(0, -20px)
	}
}

@keyframes rt-fade-out-up {
	0% {
		opacity: 1;
		-webkit-transform: translate(0, 0);
		-moz-transform: translate(0, 0);
		transform: translate(0, 0)
	}
	100% {
		opacity: 0;
		-webkit-transform: translate(0, -20px);
		-moz-transform: translate(0, -20px);
		transform: translate(0, -20px)
	}
}

.rt-fade-in-up {
	-webkit-animation: rt-fade-in-up 0.2s ease forwards;
	-moz-animation: rt-fade-in-up 0.2s ease forwards;
	animation: rt-fade-in-up 0.2s ease forwards
}

.rt-fade-in-down {
	-webkit-animation: rt-fade-in-down 0.2s ease forwards;
	-moz-animation: rt-fade-in-down 0.2s ease forwards;
	animation: rt-fade-in-down 0.2s ease forwards
}

.rt-fade-out-down {
	-webkit-animation: rt-fade-out-down 0.2s ease forwards;
	-moz-animation: rt-fade-out-down 0.2s ease forwards;
	animation: rt-fade-out-down 0.2s ease forwards
}

.rt-fade-out-up {
	-webkit-animation: rt-fade-out-up 0.2s ease forwards;
	-moz-animation: rt-fade-out-up 0.2s ease forwards;
	animation: rt-fade-out-up 0.2s ease forwards
}